gr::lte::pss_symbol_selector_cvc_impl Class Reference

`#include <pss_symbol_selector_cvc_impl.h>`

Inheritance diagram for gr::lte::pss_symbol_selector_cvc_impl:
[legend]

## Public Member Functions

| pss_symbol_selector_cvc_impl (int fftl, std::string &name)
| ~pss_symbol_selector_cvc_impl ()
void | forecast (int noutput_items, gr_vector_int &ninput_items_required)
int | general_work (int noutput_items, gr_vector_int &ninput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)
void | set_half_frame_start (long start)
void | lock ()
void | unlock ()

## Additional Inherited Members

Public Types inherited from gr::lte::pss_symbol_selector_cvc
typedef boost::shared_ptr< pss_symbol_selector_cvc > | sptr
Static Public Member Functions inherited from gr::lte::pss_symbol_selector_cvc
static sptr | make (int fftl, std::string name="pss_symbol_selector_cvc")
| Return a shared_ptr to a new instance of lte::pss_symbol_selector_cvc.

## Constructor & Destructor Documentation

## pss_symbol_selector_cvc_impl()

gr::lte::pss_symbol_selector_cvc_impl::pss_symbol_selector_cvc_impl | ( | int | fftl,
|  | std::string & | name )

## ~pss_symbol_selector_cvc_impl()

gr::lte::pss_symbol_selector_cvc_impl::~pss_symbol_selector_cvc_impl | ( |  | ) |

## Member Function Documentation

## forecast()

void gr::lte::pss_symbol_selector_cvc_impl::forecast | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items_required )

## general_work()

int gr::lte::pss_symbol_selector_cvc_impl::general_work | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items )

## lock()

void gr::lte::pss_symbol_selector_cvc_impl::lock | ( |  | ) |

inline

## set_half_frame_start()

void gr::lte::pss_symbol_selector_cvc_impl::set_half_frame_start | ( | long | start | ) |

inline

## unlock()

void gr::lte::pss_symbol_selector_cvc_impl::unlock | ( |  | ) |

inline

The documentation for this class was generated from the following file:

- pss_symbol_selector_cvc_impl.h